<template>
  <div class="container">
    <div class="forms-container">
      <div class="signin-signup">
        <form action="#" class="sign-in-form" v-on:submit.prevent="send">
          <h2 class="title">Sign in</h2>
          <div class="input-field">
            <i class="fas fa-user"></i>
            <input type="text" placeholder="Email" v-model="email" />
          </div>
          <div class="input-field">
            <i class="fas fa-lock"></i>
            <input type="password" placeholder="Password" v-model="password" />
          </div>
          <input type="submit" value="Login" class="btn solid" @click="login" />
        </form>
        <form action="#" class="sign-up-form" v-on:submit.prevent="send">
          <h2 class="title">Sign up</h2>
          <div class="input-field">
            <i class="fas fa-envelope"></i>
            <input type="email" placeholder="Email" v-model="email" />
          </div>
          <div class="input-field">
            <i class="fas fa-lock"></i>
            <input type="password" placeholder="Password" v-model="password" />
          </div>
          <input type="submit" class="btn" value="Sign up" @click="sign_up" />
        </form>
      </div>
    </div>

    <div class="panels-container">
      <div class="panel left-panel">
        <div class="content">
          <h3>New here ?</h3>
          <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Debitis,
            ex ratione. Aliquid!
          </p>
          <button
            class="btn transparent"
            id="sign-up-btn"
            @click="sign_up_clicked"
          >
            Sign up
          </button>
        </div>
        <img src="../../../assets/log.svg" class="image" alt="" />
      </div>
      <div class="panel right-panel">
        <div class="content">
          <h3>One of us ?</h3>
          <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Nostrum
            laboriosam ad deleniti.
          </p>
          <button
            class="btn transparent"
            id="sign-in-btn"
            @click="sign_in_clicked"
          >
            Sign in
          </button>
        </div>
        <img src="../../../assets/register.svg" class="image" alt="" />
      </div>
    </div>
  </div>
</template>
<script src="./Login.js"></script>
<style scoped src="./Login.css"></style>